@import "~@angular/material/theming";
@import "src/style-variables";

$font-family: IRANSans;
$font-family-num: IRANSansFaNum;
$box-shadow: 0 2px 1px -1px rgba(0, 0, 0, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.14),
  0 1px 3px 0 rgba(0, 0, 0, 0.12);

$info: #17a2b8;
$danger: #ee483d;
$orange: #fd7e14;
$warning: #ffc107;
$success: #28a745;
$primaryLight: #e3eef5;
$primary: mat-color($primary);
$secondary: mat-color($accent);
$small: 0.6.5rem;
$smalltext: 0.7rem;
$text: 0.8rem;
$medium: 0.9rem;
$subtitle: 1rem;
$title: 1.1rem;


$theme-colors: (
  info: $info,
  danger: $danger,
  success: $success,
  primary: $primary,
  warning: $warning,
  secondary: $secondary,
  primaryLight: $primaryLight
);
$small:0.4rem;
$smalltext: 0.7rem;
$text: 0.8rem;
$medium: 0.9rem;
$subtitle: 1rem;
$title: 1.1rem;
$big:2.8rem;


@function color($key: "blue") {
  @return map-get($colors, $key);
}

@function theme-color($key: "primary") {
  @return map-get($theme-colors, $key);
}
